/*------------------------------------*\
    #OBJECTS.CMS-CONTENT
\*------------------------------------*/
/**
 * General object for content elements (CE) coming from a CMS.
 *
 * Every CE coming from the CMS needs to be encapsulated inside of this object.
 * The markup should then look like this:
 *
 *  <div class="o-cms-content">
 *      <div class="o-cms-content__header">
 *         <h2 class="o-cms-content__headline">Some headline text</h2>
 *      </div>
 *      <div class="o-cms-content__body">
 *         <!-- This is where the actual plugin/CE needs to be rendered -->
 *      </div>
 *  </div>
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

.#{$inuit-namespace}cms-content,
%#{$inuit-namespace}cms-content {
    //overflow: hidden;
    width: 100%;
    margin-bottom: 20px;

    &:last-child:not(:first-child) {
        margin-bottom: 0;
    }

    @media #{$medium-up} {
    }

    .#{$inuit-namespace}cms-content {
        margin-bottom: 0;
    }
}

.#{$inuit-namespace}cms-content__header,
%#{$inuit-namespace}cms-content__header {

}

.#{$inuit-namespace}cms-content__headline,
%#{$inuit-namespace}cms-content__headline {
    margin-top: 0;
    margin-bottom: $drk-base-unit / 2;
}

.#{$inuit-namespace}cms-content__header-link,
%#{$inuit-namespace}cms-content__header-link {
    color: $drk-color-light-red;
}

.#{$inuit-namespace}cms-content__body,
%#{$inuit-namespace}cms-content__body {

}
